Package com.ocient.jdbc.proto

# Class ClientWireProtocol.CompletedQueriesRow

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.CompletedQueriesRow

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.CompletedQueriesRowOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

public static final class ClientWireProtocol.CompletedQueriesRow extends GeneratedMessageV3 implements ClientWireProtocol.CompletedQueriesRowOrBuilder

     Matches row output from the completed queries vTable

Protobuf type `xg.cmdcomp.CompletedQueriesRow`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.CompletedQueriesRow.Builder`
Matches row output from the completed queries vTable

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTES_RETURNED_FIELD_NUMBER`
`static final int`
`CLIENT_IP_FIELD_NUMBER`
`static final int`
`CLIENT_VERSION_FIELD_NUMBER`
`static final int`
`CODE_FIELD_NUMBER`
`static final int`
`COST_ESTIMATE_FIELD_NUMBER`
`static final int`
`DATABASE_ID_FIELD_NUMBER`
`static final int`
`FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_PRIORITY_FIELD_NUMBER`
`static final int`
`PLAN_PARALLELISM_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`static final int`
`REASON_FIELD_NUMBER`
`static final int`
`ROWS_RETURNED_FIELD_NUMBER`
`static final int`
`RUNTIME_FIELD_NUMBER`
`static final int`
`SQL_FIELD_NUMBER`
`static final int`
`STATE_FIELD_NUMBER`
`static final int`
`TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER`
`static final int`
`TIME_COMPLETE_FIELD_NUMBER`
`static final int`
`TIME_EXEC_START_FIELD_NUMBER`
`static final int`
`TIME_START_FIELD_NUMBER`
`static final int`
`TIMESTAMP_COMPLETE_FIELD_NUMBER`
`static final int`
`TIMESTAMP_EXEC_START_FIELD_NUMBER`
`static final int`
`TIMESTAMP_START_FIELD_NUMBER`
`static final int`
`USER_FIELD_NUMBER`
`static final int`
`UUID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`long`
`getBytesReturned()`
the number of bytes returned by the query
`String`
`getClientIp()`
the IP of the client
`ByteString`
`getClientIpBytes()`
the IP of the client
`String`
`getClientVersion()`
the version of the connector used to submit the query
`ByteString`
`getClientVersionBytes()`
the version of the connector used to submit the query
`int`
`getCode()`
the SQL state code
`double`
`getCostEstimate()`
the plan cost estimate
`StringValue`
`getDatabaseId()`
the string representation of the database uuid the user was connected to
`StringValueOrBuilder`
`getDatabaseIdOrBuilder()`
the string representation of the database uuid the user was connected to
`static ClientWireProtocol.CompletedQueriesRow`
`getDefaultInstance()`
`ClientWireProtocol.CompletedQueriesRow`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`double`
`getFinalEffectivePriority()`
the final effective dynamically adjusted priority
`float`
`getInitialEffectivePriority()`
initial effective priority adjusted for query cost and mem usage
`float`
`getInitialPriority()`
initial plan priority based on wlm limits
`Parser<ClientWireProtocol.CompletedQueriesRow>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`int`
`getPlanParallelism()`
the plan parallelism
`float`
`getPriorityAdjustFactor()`
priority adjustment factor
`int`
`getPriorityAdjustTime()`
priority adjustment time
`String`
`getReason()`
the reason
`ByteString`
`getReasonBytes()`
the reason
`long`
`getRowsReturned()`
the number of rows returned by the query
`long`
`getRuntime()`
the number of seconds take to complete the query
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getSql()`
the sql text
`ByteString`
`getSqlBytes()`
the sql text
`String`
`getState()`
the string representation of the SQL state
`ByteString`
`getStateBytes()`
the string representation of the SQL state
`long`
`getTempDiskSpaceConsumed()`
the total amount of temp disk space consumed in bytes
`String`
`getTimeComplete()`
the string representation of the time the query completed execution
`ByteString`
`getTimeCompleteBytes()`
the string representation of the time the query completed execution
`String`
`getTimeExecStart()`
the string representation of the time the query began execution
`ByteString`
`getTimeExecStartBytes()`
the string representation of the time the query began execution
`long`
`getTimestampComplete()`
ms since epoch representation of the time the query completed execution
`long`
`getTimestampExecStart()`
ms since epoch representation of the time the query began execution
`long`
`getTimestampStart()`
ms since epoch representation of the time the query was accepted by the sql node
`String`
`getTimeStart()`
the string representation of the time the query was accepted by the sql node
`ByteString`
`getTimeStartBytes()`
the string representation of the time the query was accepted by the sql node
`String`
`getUser()`
the string representation of the user's uuid
`ByteString`
`getUserBytes()`
the string representation of the user's uuid
`String`
`getUuid()`
the query plan uuid
`ByteString`
`getUuidBytes()`
the query plan uuid
`boolean`
`hasDatabaseId()`
the string representation of the database uuid the user was connected to
`int`
`hashCode()`
Returns the hash code value for this message.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilder()`
`static ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilder(ClientWireProtocol.CompletedQueriesRow prototype)`
`ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ClientWireProtocol.CompletedQueriesRow.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static ClientWireProtocol.CompletedQueriesRow`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(byte[] data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteString data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(InputStream input)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.CompletedQueriesRow`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ClientWireProtocol.CompletedQueriesRow>`
`parser()`
`ClientWireProtocol.CompletedQueriesRow.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### USER_FIELD_NUMBER

public static final int USER_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATABASE_ID_FIELD_NUMBER

public static final int DATABASE_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_VERSION_FIELD_NUMBER

public static final int CLIENT_VERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENT_IP_FIELD_NUMBER

public static final int CLIENT_IP_FIELD_NUMBER

See Also:
  - Constant Field Values

### SQL_FIELD_NUMBER

public static final int SQL_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_START_FIELD_NUMBER

public static final int TIMESTAMP_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_START_FIELD_NUMBER

public static final int TIME_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_COMPLETE_FIELD_NUMBER

public static final int TIMESTAMP_COMPLETE_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_COMPLETE_FIELD_NUMBER

public static final int TIME_COMPLETE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CODE_FIELD_NUMBER

public static final int CODE_FIELD_NUMBER

See Also:
  - Constant Field Values

### STATE_FIELD_NUMBER

public static final int STATE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REASON_FIELD_NUMBER

public static final int REASON_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_EXEC_START_FIELD_NUMBER

public static final int TIMESTAMP_EXEC_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIME_EXEC_START_FIELD_NUMBER

public static final int TIME_EXEC_START_FIELD_NUMBER

See Also:
  - Constant Field Values

### UUID_FIELD_NUMBER

public static final int UUID_FIELD_NUMBER

See Also:
  - Constant Field Values

### FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int FINAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### COST_ESTIMATE_FIELD_NUMBER

public static final int COST_ESTIMATE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PLAN_PARALLELISM_FIELD_NUMBER

public static final int PLAN_PARALLELISM_FIELD_NUMBER

See Also:
  - Constant Field Values

### ROWS_RETURNED_FIELD_NUMBER

public static final int ROWS_RETURNED_FIELD_NUMBER

See Also:
  - Constant Field Values

### BYTES_RETURNED_FIELD_NUMBER

public static final int BYTES_RETURNED_FIELD_NUMBER

See Also:
  - Constant Field Values

### RUNTIME_FIELD_NUMBER

public static final int RUNTIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER

public static final int TEMP_DISK_SPACE_CONSUMED_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

public static final int PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_TIME_FIELD_NUMBER

public static final int PRIORITY_ADJUST_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_PRIORITY_FIELD_NUMBER

public static final int INITIAL_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### getUser

public String getUser()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUser` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The user.

### getUserBytes

public ByteString getUserBytes()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUserBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for user.

### hasDatabaseId

public boolean hasDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `hasDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  Whether the databaseId field is set.

### getDatabaseId

public StringValue getDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The databaseId.

### getDatabaseIdOrBuilder

public StringValueOrBuilder getDatabaseIdOrBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseIdOrBuilder` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`

### getClientVersion

public String getClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersion` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientVersion.

### getClientVersionBytes

public ByteString getClientVersionBytes()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersionBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientVersion.

### getClientIp

public String getClientIp()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIp` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientIp.

### getClientIpBytes

public ByteString getClientIpBytes()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIpBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientIp.

### getSql

public String getSql()

     the sql text

`string sql = 5;`

Specified by:
  `getSql` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The sql.

### getSqlBytes

public ByteString getSqlBytes()

     the sql text

`string sql = 5;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for sql.

### getTimestampStart

public long getTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Specified by:
  `getTimestampStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampStart.

### getTimeStart

public String getTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeStart.

### getTimeStartBytes

public ByteString getTimeStartBytes()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeStart.

### getTimestampComplete

public long getTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Specified by:
  `getTimestampComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampComplete.

### getTimeComplete

public String getTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeComplete.

### getTimeCompleteBytes

public ByteString getTimeCompleteBytes()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeCompleteBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeComplete.

### getCode

public int getCode()

     the SQL state code

`int32 code = 10;`

Specified by:
  `getCode` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The code.

### getState

public String getState()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getState` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The state.

### getStateBytes

public ByteString getStateBytes()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getStateBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for state.

### getReason

public String getReason()

     the reason

`string reason = 12;`

Specified by:
  `getReason` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The reason.

### getReasonBytes

public ByteString getReasonBytes()

     the reason

`string reason = 12;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for reason.

### getTimestampExecStart

public long getTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Specified by:
  `getTimestampExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampExecStart.

### getTimeExecStart

public String getTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeExecStart.

### getTimeExecStartBytes

public ByteString getTimeExecStartBytes()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeExecStart.

### getUuid

public String getUuid()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuid` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public ByteString getUuidBytes()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuidBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for uuid.

### getFinalEffectivePriority

public double getFinalEffectivePriority()

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Specified by:
  `getFinalEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The finalEffectivePriority.

### getCostEstimate

public double getCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Specified by:
  `getCostEstimate` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The costEstimate.

### getPlanParallelism

public int getPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Specified by:
  `getPlanParallelism` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The planParallelism.

### getRowsReturned

public long getRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Specified by:
  `getRowsReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The rowsReturned.

### getBytesReturned

public long getBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Specified by:
  `getBytesReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytesReturned.

### getRuntime

public long getRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Specified by:
  `getRuntime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The runtime.

### getTempDiskSpaceConsumed

public long getTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Specified by:
  `getTempDiskSpaceConsumed` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The tempDiskSpaceConsumed.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()

     priority adjustment factor

`float priority_adjust_factor = 25;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

public int getPriorityAdjustTime()

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### getInitialPriority

public float getInitialPriority()

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialPriority.

### getInitialEffectivePriority

public float getInitialEffectivePriority()

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.CompletedQueriesRow parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.CompletedQueriesRow parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.CompletedQueriesRow parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.CompletedQueriesRow.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ClientWireProtocol.CompletedQueriesRow.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.CompletedQueriesRow.Builder newBuilder(ClientWireProtocol.CompletedQueriesRow prototype)

### toBuilder

public ClientWireProtocol.CompletedQueriesRow.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ClientWireProtocol.CompletedQueriesRow.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.CompletedQueriesRow getDefaultInstance()

### parser

public static Parser<ClientWireProtocol.CompletedQueriesRow> parser()

### getParserForType

public Parser<ClientWireProtocol.CompletedQueriesRow> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.CompletedQueriesRow getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`